<?php 
/**
 * The edit view file of batch module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      yaozeyuan<yaozeyuan@yidou.biz>
 * @package     batch 
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.modal.html.php';?>
<?php include '../../common/view/datepicker.html.php';?>
<?php include '../../common/view/chosen.html.php';?>
<div class='panel editPanel'>
  <form id='editForm' method='post' action=<?php echo inlink("{$method}", "id={$batch->id}");?>>
    <?php if($mode != 'pick'):?>
    <table class='table table-condensed'>
      <?php if($mode == 'deliver'):?>
      <tr class='text-center'>
        <th class='w-80px  text-middle'><?php echo $lang->batch->pickedBy;?></th>
        <td class='w-320px text-left'><?php echo html::select('pickedBy', $users, $batch->pickedBy, "id='pickedBy1' class='form-control chosen'");?></td>
        <th class='w-100px text-middle'><?php echo $lang->batch->pickedDate;?></th>
        <td class='w-320px'><?php echo html::input('pickedDate', $batch->pickedDate, "id='pickedDate1' class='form-control form-date'");?></td>
      </tr>
      <?php endif;?>
      <tr class='text-center'>
        <th class='w-80px  text-middle'><?php echo $lang->batch->$mode->expressedBy;?></th>
        <td class='w-320px text-left'><?php echo html::select('expressedBy', $users, $batch->expressedBy, "id='expressedBy1' class='form-control chosen'");?></td>
        <th class='w-100px text-middle'><?php echo $lang->batch->$mode->expressedDate;?></th>
        <td class='w-320px'><?php echo html::input('expressedDate', $batch->expressedDate, "id='expressedDate1' class='form-control form-date'");?></td>
      </tr>
      <tr class='text-center'>
        <th class='text-middle'><?php echo $lang->batch->express;?></th>
        <td>
          <div class='input-group'>
            <?php echo html::select('express', $expresses, $batch->express, "class='form-control'");?>
            <?php echo html::input('newExpress', '', "class='form-control newProperty' style='display:none'");?>
            <span class='input-group-addon'><?php echo html::checkbox('createExpress', $lang->new, '', "class='createProperty'");?></span>
          </div>
        </td>
        <th class='text-middle'><?php echo $lang->batch->waybill;?></th>
        <td><?php echo html::input('waybill', $batch->waybill, "class='form-control'");?></td>
      </tr>
    </table>
    <?php endif;?>
    <table class='table table-condensed table-striped'>
      <tr class='text-center'>
        <th><?php echo $lang->batch->product;?></th>
        <th class='w-120px'><?php echo $lang->batch->unit;?></th>
        <th class='w-200px'><?php echo $lang->batch->amount;?></th>
      </tr>
      <?php 
        foreach($batch->products as $batchProduct):
        $product = zget($products, $batchProduct->product, ' ');
      ?>
      <tr class='text-center text-middle'>
        <td><?php echo $product->name;?></td>
        <td><?php echo $product->unit;?></td>
        <td>
        <?php 
            if($mode == 'deliver')
            {
                echo $batchProduct->amount;
                echo html::hidden("newAmount[$product->id]", $batchProduct->amount);
            }
            else
            {
                echo html::input("newAmount[$product->id]", $batchProduct->amount, "id='newAmount{$product->id}' class='form-control'");
            }
        ?>
        </td>
      </tr>
      <?php endforeach;?>
      <tr>
        <td colspan='2' class='noPadding'></td>
        <td class='noPadding'><input type='hidden' id='emptyAmount1' value=''></td>
      </tr>
      <tr></tr>
      <tr>
        <td colspan='5' class='text-right'>
        <?php 
          echo html::hidden('method', $method);
          echo html::submitButton() . html::commonButton($lang->close, 'btn', "data-dismiss='modal'");
        ?>
        </td>
      </tr>
    </table>
  </form>
</div>
<?php include '../../common/view/footer.modal.html.php';?>
