<?php
/**
 * The admin view file of contact module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      yaozeyuan<yaozeyuan@yidou.biz>
 * @package     contact
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<div class='panel'>
  <div class='panel-heading'>
    <strong><i class='icon-group'></i> <?php echo $lang->contact->list;?></strong>
    <div class='panel-actions'>
      <?php echo html::a(inlink('create'), "<i class='icon-plus'></i> {$lang->contact->create}", "class='btn btn-primary'")?>
    </div>
  </div>
  <table class='table table-hover table-striped'>
    <thead>
      <tr class='text-right'>
        <th class='w-70px' ><?php echo $lang->contact->name;?></th>
        <th class='w-50px' ><?php echo $lang->contact->gender;?></th>
        <th class='w-200px'><?php echo $lang->contact->company;?></th>
        <th class='w-50px' ><?php echo $lang->contact->phone;?></th>
        <th class='w-150px'><?php echo $lang->contact->email;?></th>
        <th class='w-50px' ><?php echo $lang->contact->fax;?></th>
        <th class='w-100px'><?php echo $lang->contact->qq;?></th>
        <th class='w-100px'><?php echo $lang->contact->wangwang;?></th>
        <th class='w-300px'><?php echo $lang->contact->address;?></th>
        <th class='w-150px'><?php echo $lang->desc;?></th>
        <th class='w-100px text-center'><?php echo $lang->actions;?></th>
        <td></td>
      </tr>
    </thead>
    <tbody>
      <?php foreach($contacts as $contact):?>
      <tr>
        <td><?php echo $contact->name;?></td>
        <td><?php echo $lang->contact->genderList[$contact->gender];?></td>
        <td><?php echo isset($companies[$contact->companyID]) ? $companies[$contact->companyID] : '';?></td>
        <td><?php echo $contact->phone;?></td>
        <td><?php echo $contact->email;?></td>
        <td><?php echo $contact->fax;?></td>
        <td><?php echo $contact->qq;?></td>
        <td><?php echo $contact->wangwang;?></td>
        <td><?php echo $contact->address;?></td>
        <td><?php echo $contact->desc;?></td>
        <td class='text-center'>
          <?php echo html::a($this->createLink('contact', 'edit', "contactID = $contact->id"), $lang->edit);?>
          <?php echo html::a($this->createLink('contact', 'delete', "contactID = $contact->id"), $lang->delete, "class='deleter'");?>
        </td>
      </tr>
      <?php endforeach;?>
    </tbody>
    <tfoot><tr><td colspan='11'><?php $pager->show();?></td></tr></tfoot>
  </table>
</div>
<?php include '../../common/view/footer.html.php';?>
