<?php
/**
 * The zh-cn lang file of finance module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      liugang <liugang@yidou.biz>
 * @package     finance 
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
$lang->finance->common            = '财务';
$lang->finance->serialNo          = '单据号';
$lang->finance->type              = '单据类型';
$lang->finance->lastPeriodBalance = '上期结余';
$lang->finance->thisPeriodOrder   = '本期发生';
$lang->finance->thisPeriodBalance = '本期结余';
$lang->finance->period            = '期间：%s 至 %s'; 

$lang->finance->browse['in']  = '应收账款';
$lang->finance->browse['out'] = '应付账款';

$lang->finance->customer['in']  = '客户';
$lang->finance->customer['out'] = '供应商';

$lang->finance->thisPeriodTrade['in']  = '本期收款';
$lang->finance->thisPeriodTrade['out'] = '本期付款';

$lang->finance->order = new stdclass();
$lang->finance->order->sale       = '销售发货';
$lang->finance->order->buy        = '采购收货';
$lang->finance->order->saleRefund = '销售退货';
$lang->finance->order->buyRefund  = '采购退货';

$lang->finance->trade = new stdclass();
$lang->finance->trade->in  = '收款';
$lang->finance->trade->out = '付款';

$lang->finance->total = new stdclass();
$lang->finance->total->common   = '合计';
$lang->finance->total->in       = '应收余额';
$lang->finance->total->out      = '应付余额';
$lang->finance->total->order    = '本期订单合计';
$lang->finance->total->tradeIn  = '本期收款合计';
$lang->finance->total->tradeOut = '本期付款合计';
$lang->finance->total->customer = '上期结余：%s；本期发生：%s；本期收款：%s；应收余额：%s；';
$lang->finance->total->supplier = '上期结余：%s；本期发生：%s；本期付款：%s；应付余额：%s；';
$lang->finance->total->partner  = '上期结余：%s；本期应收：%s；本期收款：%s；本期应付：%s；本期付款：%s；应收余额：%s；';

$lang->finance->detail = new stdclass();
$lang->finance->detail->common = '明细';
$lang->finance->detail->in     = '应收明细';
$lang->finance->detail->out    = '应付明细';

$lang->finance->check = new stdclass();
$lang->finance->check->common      = '对账单'; 
$lang->finance->check->detail      = '明细对账单'; 
$lang->finance->check->orderDetail = '显示订单详情';

$lang->finance->date['thismonth']  = '本月';
$lang->finance->date['lastmonth']  = '上月';
$lang->finance->date['thisyear']   = '本年';
$lang->finance->date['lastyear']   = '上年';
$lang->finance->date['all']        = '所有';

$lang->finance->select['company']  = '--请选择往来单位--';
$lang->finance->select['customer'] = '--请选择客户--';
$lang->finance->select['supplier'] = '--请选择供应商--';
$lang->finance->select['begin']    = '--请选择起始日期--';
$lang->finance->select['end']      = '--请选择截止日期--';

$lang->finance->print = new stdclass();
$lang->finance->print->tips = '注：打印纸张请选择A4；打印明细账单请将纸张方向设置为横向。';
