<?php
/**
 * The step4 view file of install module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author	    Chunsheng Wang <chunsheng@cnezsoft.com>
 * @package	    yidou
 * @version     $Id$
 */
?>
<?php include '../../common/view/header.lite.html.php';?>
<div class='container'>
  <div class='modal-dialog w-450px'>
    <form method='post' class='form-horizontal'>
      <?php if(isset($error)):?>
      <div class='modal-header'><strong><?php echo $lang->install->error;?></strong></div>
      <div class='modal-body'>
        <div class='alert alert-danger'><?php echo $error;?></div>
      </div>
      <div class='modal-footer'><?php echo html::backButton($lang->install->pre, 'btn btn-primary');?></div>
      <?php else: ?>
      <div class='modal-header'><strong><i class='icon-key'></i> <?php echo $lang->install->setAdmin;?></strong></div>
      <div class='modal-body'>
        <div class='form-group'>
          <label for='account' class='col-xs-2 control-label'><?php echo $lang->install->account;?></label>
          <div class='col-xs-8'><?php echo html::input('account', '', "class='form-control'");?></div>
        </div>
        <div class='form-group'>
          <label for='password' class='col-xs-2 control-label'><?php echo $lang->install->password;?></label>
          <div class='col-xs-8'><?php echo html::input('password', '', "class='form-control'");?></div>
        </div>
      </div>
      <div class='modal-footer'><?php echo html::submitButton();?></div>
      <?php endif; ?>
    </form>
  </div>
</div>
<?php include './footer.html.php';?>
