<?php
/**
 * The zh-tw lang file of order module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青島億鬥網絡信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商業軟件)
 * @author      liugang <liugang@yidou.biz>
 * @package     order
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
$lang->order->common       = '訂單';
$lang->order->orderNo      = '訂單號';
$lang->order->refundNo     = '退貨單號';
$lang->order->money        = '金額';
$lang->order->taxed        = '是否含稅';
$lang->order->finishedDate = '交付日期';
$lang->order->desc         = '備註';
$lang->order->createdBy    = '下單人員';
$lang->order->createdDate  = '下單日期';
$lang->order->status       = '訂單狀態';
$lang->order->refundStatus = '退貨單狀態';
$lang->order->type         = '訂單類型';
$lang->order->contract     = '合同號';
$lang->order->settlement   = '結款方式';
$lang->order->assignedTo   = '指派給';
$lang->order->assignedBy   = '由誰指派';
$lang->order->assignedDate = '指派日期';

$lang->order->typeList               = array();
$lang->order->typeList['sale']       = '銷售';
$lang->order->typeList['buy']        = '採購';
$lang->order->typeList['saleRefund'] = '銷售退貨';
$lang->order->typeList['buyRefund']  = '採購退貨';

$lang->order->orderAmount    = '訂單數量';
$lang->order->storeAmount    = '庫存數量';
$lang->order->purchaseAmount = '採購數量';
$lang->order->showProducts   = '顯示產品詳情';
$lang->order->createBuyOrder = '創建採購訂單';
$lang->order->createProduct  = '新增庫存產品';

$lang->order->all          = '所有訂單';
$lang->order->assignedToMe = '指派給我';
$lang->order->canceled     = '已取消';
$lang->order->finished     = '已完成';
$lang->order->titleLBL     = '%s : %s';

$lang->order->batchNumber  = '批次編號：<strong> %s </strong>';

$lang->order->exportOrder            = array();
$lang->order->exportOrder['buy']     = '採購單列表';
$lang->order->exportOrder['sale']    = '銷售單列表';
$lang->order->exportOrder['default'] = '訂單列表';

$lang->order->trader['sale'] = '客戶';
$lang->order->trader['buy']  = '供應商';
$lang->order->trader['saleRefund'] = $lang->order->trader['sale'];
$lang->order->trader['buyRefund']  = $lang->order->trader['buy'];

$lang->order->batch['sale'] = '發貨';
$lang->order->batch['buy']  = '收貨';
$lang->order->batch['saleRefund'] = $lang->order->batch['buy'];
$lang->order->batch['buyRefund']  = $lang->order->batch['sale'];

$lang->order->product        = '產品';
$lang->order->total          = '合計';
$lang->order->canceledReason = '取消原因';
$lang->order->pick           = '通知配貨';
$lang->order->moneyInWords   = '大寫金額';

$lang->order->mail                    = new stdclass();
$lang->order->mail->send              = '發送';
$lang->order->mail->sendMail          = '發送郵件';
$lang->order->mail->orderType['buy']  = '採購單詳情.xls';
$lang->order->mail->orderType['sale'] = '銷售單詳情.xls';
$lang->order->mail->mailTitle['buy']  = "%s 採購單";
$lang->order->mail->mailTitle['sale'] = "%s 銷售單";
$lang->order->mail->mailContent       = "<p>本郵件由<a href='http://www.yidou.com.cn'>億鬥在綫進銷存系統</a>自動生成</p>";
$lang->order->mail->mailNotSet        = '郵箱未設置，請先設置發信郵箱';
$lang->order->mail->choseUser         = '請選擇收件人';

/* Function of order */
$lang->order->browse       = '訂單列表';
$lang->order->create       = '創建訂單';
$lang->order->createRefund = '創建退貨單';
$lang->order->edit         = '編輯訂單';
$lang->order->editRefund   = '編輯退貨單';
$lang->order->cancel       = '取消訂單';
$lang->order->activate     = '激活訂單';
$lang->order->finish       = '完成訂單';
$lang->order->detail       = '訂單詳情';
$lang->order->buy          = '通知採購';
$lang->order->sale         = '銷售';
$lang->order->history      = '歷史訂單';

$lang->order->statusList['']              = '';
$lang->order->statusList['all']           = '所有訂單';
$lang->order->statusList['assignedToMe']  = '指派給我';
$lang->order->statusList['underway']      = '進行中';
$lang->order->statusList['pending']       = '待處理';
$lang->order->statusList['toReceive']     = '待收貨';
$lang->order->statusList['received']      = '已收貨';
$lang->order->statusList['partReceived']  = '部分收貨';
$lang->order->statusList['toPurchase']    = '待採購';
$lang->order->statusList['purchasing']    = '採購中';
$lang->order->statusList['purchased']     = '已採購';
$lang->order->statusList['picking']       = '待配貨';
$lang->order->statusList['toDeliver']     = '待發貨';
$lang->order->statusList['delivered']     = '已發貨';
$lang->order->statusList['partDelivered'] = '部分發貨';
$lang->order->statusList['canceled']      = '已取消';
$lang->order->statusList['finished']      = '已完成';

$lang->order->settlementList[0] = '';
$lang->order->settlementList[1] = '現金';
$lang->order->settlementList[2] = '銀行電匯';
$lang->order->settlementList[3] = '轉賬支票';
$lang->order->settlementList[4] = '承兌匯票';
$lang->order->settlementList[5] = '委託代收貨款';

$lang->order->taxedList[0]   = '不含稅';
$lang->order->taxedList[1]   = '含稅';
$lang->order->taxedList[2]   = '';
$lang->order->taxedUndefined = '訂單含稅情況尚不明確，請確認訂單是否含稅後繼續。';

$lang->order->print = new stdclass();
$lang->order->print->page         = '第%s頁';
$lang->order->print->pageTitle    = '第%s頁/共%s頁';
$lang->order->print->buy          = '採購訂單';
$lang->order->print->sale         = '銷售訂單';
$lang->order->print->buyRefund    = '採購退貨單';
$lang->order->print->saleRefund   = '銷售退貨單';
$lang->order->print->pick         = '配貨單';
$lang->order->print->deliver      = '發貨單';
$lang->order->print->contract     = '訂單(合同)號 ';
$lang->order->print->product      = '品名及標準';
$lang->order->print->material     = '材質';
$lang->order->print->tabulation   = '制單：';
$lang->order->print->check        = '審核：';
$lang->order->print->delivery     = '配送：';
$lang->order->print->finishedDate = '<strong>注意事項</strong>：以上產品交貨日期為%s';
$lang->order->print->showFullName = '顯示客戶全稱';
$lang->order->print->hidePrice    = '隱藏單價和金額';
$lang->order->print->tel          = 'TEL：';
$lang->order->print->fax          = 'FAX：';
$lang->order->print->to           = 'T  O：';
$lang->order->print->attn         = 'ATTN：';
$lang->order->print->from         = 'FROM：';
$lang->order->print->settlement   = '二、結款方式：';
$lang->order->print->desc         = '三、備註：';

$lang->order->print->sign['sale'] = '客戶簽收：';
$lang->order->print->sign['buy']  = '供方簽收：';
$lang->order->print->sign['saleRefund'] = $lang->order->print->sign['sale'];
$lang->order->print->sign['buyRefund']  = $lang->order->print->sign['buy'];

$lang->order->print->taxedList[0] = '一、報價不含稅';
$lang->order->print->taxedList[1] = '一、報價含稅（17%增值稅）';

$lang->order->print->trader['sale'] = '購貨單位 ';
$lang->order->print->trader['buy']  = '送貨單位 ';
$lang->order->print->trader['saleRefund'] = $lang->order->print->trader['sale'];
$lang->order->print->trader['buyRefund']  = $lang->order->print->trader['buy'];

$lang->order->error = new stdclass();
$lang->order->error->noRecord    = '請錄入有效的產品信息。';
$lang->order->error->notSelected = '請選擇要採購的產品。';
$lang->order->error->notFinished = '產品未完成%s，訂單不能完成。';
$lang->order->error->hasSent     = '產品已%s，不允許刪除。';
$lang->order->error->errorAmount = '產品已%s%s，訂單數量不能小於已發貨數量。';
$lang->order->error->cantChange  = '產品已%s，不允許更改品名。';

$lang->order->action = new stdclass();
$lang->order->action->sendmail         = '$date, 由 <strong>$actor</strong> 寄送通知郵件'; 
$lang->order->action->assignedtopick   = '$date, 由 <strong>$actor</strong> 指派給 <strong>$extra</strong> 進行配貨'; 
$lang->order->action->assigntopurchase = '$date, 由 <strong>$actor</strong> 通知 <strong>$extra</strong> 對訂單內產品進行採購'; 

/* action in batch */
/* active */
$lang->order->action->editpick    = '$date, 由 <strong>$actor</strong> 對配貨信息進行了編輯';
$lang->order->action->editdeliver = '$date, 由 <strong>$actor</strong> 對發貨信息進行了編輯';
$lang->order->action->editreceive = '$date, 由 <strong>$actor</strong> 對收貨信息進行了編輯'; 
$lang->order->action->deliver     = '$date, 由 <strong>$actor</strong> 對發貨信息進行了編輯';

/* item */
$lang->order->pickedBy      = '配貨人';
$lang->order->expressedBy   = '發貨人';
$lang->order->receivedBy    = '收貨人';
$lang->order->express       = '快遞';
$lang->order->waybill       = '運單號';
$lang->order->expressedDate = '發貨日期';
$lang->order->pickedDate    = '配貨日期';
$lang->order->receivedDate  = '收貨日期';

$lang->orderProduct = new stdclass();
$lang->orderProduct->product    = '品名';
$lang->orderProduct->amount     = '數量';
$lang->orderProduct->standard   = '標準';
$lang->orderProduct->model      = '規格';
$lang->orderProduct->material   = '材質/等級/表面處理';
$lang->orderProduct->unit       = '單位';
$lang->orderProduct->price      = '單價';
$lang->orderProduct->totalPrice = '總價';

/* Add for display the action log of order product. */
$this->loadLang('product');
$lang->orderproduct                  = clone $lang->product;
$lang->orderproduct->money           = '總價';
$lang->orderproduct->amountInBatch   = '產品數量';
$lang->orderproduct->action          = new stdclass();
$lang->orderproduct->action->created = '$date, 由 <strong>$actor</strong> 添加了產品：<strong><i>$extra</i></strong>。';
$lang->orderproduct->action->edited  = '$date, 由 <strong>$actor</strong> 對訂單內的產品<strong><i>$extra</i></strong>進行了編輯：';
$lang->orderproduct->action->deleted = '$date, 由 <strong>$actor</strong> 刪除了產品：<strong><i>$extra</i></strong>。';

$lang->orderproduct->action->editproductinpick   = '$date, 由 <strong>$actor</strong> 對產品<strong><i>$extra</i></strong>的配貨數量進行了修改';
$lang->orderproduct->action->editproductinrecive = '$date, 由 <strong>$actor</strong> 對產品<strong><i>$extra</i></strong>的收貨數量進行了修改';
