<?php
/**
 * The purchase view file of order module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      liugang <liugang@yidou.biz>
 * @package     order
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<form method='post' id='ajaxForm'>
  <table class='table table-condensed table-hover'>
    <thead>
      <tr class='text-middle'>
        <th><?php echo $lang->product->name;?></th>
        <th class='w-200px'><?php echo $lang->product->standard;?></th>
        <th class='w-200px'><?php echo $lang->product->model;?></th>
        <th class='w-280px'><?php echo $lang->product->material;?></th>
        <th class='w-120px'><?php echo $lang->product->unit;?></th>
        <th class='w-200px'><?php echo $lang->order->purchaseAmount;?></th>
      </tr>
    </thead>
    <tbody>
      <?php foreach($products as $product):?>
      <tr class='text-middle'>
        <td><?php echo html::checkbox('product', array($product->product => $product->name), '', "class='checkbox-choose''");?></td>
        <td><?php echo $product->standard;?></td>
        <td><?php echo $product->model;?></td>
        <td><?php echo $product->material;?></td>
        <td><?php echo $product->unit;?></td>
        <td><?php echo $product->amount;?></td>
      </tr>
      <?php endforeach;?>
      <tr>
        <td colspan='6'>
          <?php if($products):?>
          <div class='btn-group'>
            <a class='btn' href='javascript:checkAll()'><?php echo $lang->selectAll;?></a>
            <a class='btn' href='javascript:checkReverse()'><?php echo $lang->selectReverse;?></a>
          </div>
          <?php endif;?>
          <?php echo html::hidden('noRecord');?>
          <?php $pager->show();?>
        </td>
      </tr>
    </tbody>
    <tfoot>
      <tr class='text-center'>
        <td colspan='6'>
          <?php 
            if($products) echo html::submitButton($lang->order->createBuyOrder);
            echo html::backButton();
          ?>
        </td>
      </tr>
    </tfoot>
  </table>
</form>
<?php include '../../common/view/footer.html.php';?>
