<?php 
/**
 * The create from order view file of product module of yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      yaozeyuan<yaozeyuan@yidou.biz>
 * @package     product
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.modal.html.php';?>
<?php include '../../common/view/chosen.html.php';?>
<form id='createForm' method='post' action='<?php echo inlink('createFromOrder', "elementID={$elementID}");?>'>
  <table class='table table-form'>
    <tr>
      <th class='w-60px'><?php echo $lang->product->category;?></th>
      <td colspan='3'>
        <div class="required required-wrapper"></div>
        <?php echo html::select('category', $categories, '', "class='chosen'");?>
      </td>
    </tr>
    <tr>
      <th><?php echo $lang->product->name;?></th>
      <td colspan='3'>
        <div class="required required-wrapper"></div>
        <?php echo html::input('name', '', "class='form-control'");?>
      </td>
    </tr>
    <tr>
      <th></th>
      <td class='w-200px'>
        <div class='input-group'>
          <span class='input-group-addon'><?php echo $lang->product->standard;?></span>
          <?php echo html::select('standard', $standards, '', "class='chosen'");?>
          <?php echo html::input('newStandard', '', "id='newStandard' class='form-control newProperty' style='display:none'");?>
          <span class='input-group-addon'><?php echo html::checkbox('createStandard', $lang->new, '', "class='createProperty'");?></span>
        </div>
      </td>
      <td class='w-200px'>
        <div class='input-group'>
          <span class='input-group-addon'><?php echo $lang->product->unit;?></span>
          <?php echo html::select('unit', $units, '', "class='chosen'");?>
          <?php echo html::input('newUnit', '', "id='newUnit' class='form-control newProperty' style='display:none'");?>
          <span class='input-group-addon'><?php echo html::checkbox('createUnit', $lang->new, '', "class='createProperty'");?></span>
        </div>
      </td>
      <td class='w-200px'>
        <div class='input-group'>
          <span class='input-group-addon'><?php echo $lang->product->brand;?></span>
          <?php echo html::input('brand', '', "class='form-control'");?>
        </div>
      </td>
    </tr>
    <tr>
      <th></th>
      <td>
        <div class='input-group'>
          <span class='input-group-addon'><?php echo $lang->product->store;?></span>
          <?php echo html::select('store', $stores, '', "class='chosen' onchange='getShelves(this.value)'");?>
        </div>
      </td>
      <td>
        <div class='input-group' id='shelfDIV'>
          <span class='input-group-addon'><?php echo $lang->product->shelf;?></span>
          <?php echo html::select('shelf', $shelves, '', "class='form-control'");?>
        </div>
      </td>
      <td>
        <div class='input-group'>
          <span class='input-group-addon'><?php echo $lang->product->pack;?></span>
          <?php echo html::input('pack', '', "class='form-control'");?>
        </div>
      </td>
    </tr>
    <tr>
      <th></th>
      <td colspan='2'>
        <div class='input-group'>
          <span class='input-group-addon'><?php echo $lang->product->material;?></span>
          <?php echo html::select('material', $materials, '', "class='chosen'");?>
          <?php echo html::input('newMaterial', '', "id='newMaterial' class='form-control newProperty' style='display:none'");?>
          <span class='input-group-addon'><?php echo html::checkbox('createMaterial', $lang->new, '', "class='createProperty'");?></span>
        </div>
      </td>
      <td>
        <div class='input-group'>
          <span class='input-group-addon'><?php echo $lang->product->sn;?></span>
          <?php echo html::input('sn', '', "class='form-control'");?>
        </div>
      </td>
    </tr>
    <tr>
      <th></th>
      <td colspan='2'>
        <div class='input-group'>
          <span class='input-group-addon'><?php echo $lang->product->model;?></span>
          <?php echo html::select('model[0]', $models, '', "id='model0' class='newRows chosen'");?>
          <?php echo html::input('newModel[0]', '', "id='newModel0' class='newRows newProperty form-control' style='display:none'");?>
          <span class='input-group-addon'><?php echo html::checkbox('createModel', $lang->new, '', "class='createProperty newRows '");?></span>
        </div>
      </td>
      <td>
        <div class='input-group'>
          <span class='input-group-addon'><?php echo $lang->product->amount;?></span>
          <?php echo html::input('amount[0]', '', "id='amount0' class='newRows form-control'");?>
        </div>
      </td>
    </tr>              
    <tr>
      <th><?php echo $lang->desc;?></th>
      <td colspan='3'><?php echo html::textarea('desc', '', "rows='1' class='form-control'");?></td>
    </tr>
    <tr>
      <th></th>
      <td colspan='3'><?php echo html::submitButton() . html::commonButton($lang->close, 'btn', "data-dismiss='modal'");?></td>
    </tr>
  </table>
</form>
<?php include '../../common/view/footer.modal.html.php';?>
