<?php
/**
 * The detail view file of product module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      yaozeyuan<yaozeyuan@yidou.biz>
 * @package     detail
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../common/view/chosen.html.php';?>
<?php include '../../common/view/treeview.html.php';?>
<?php js::set('productID', $product->id);?>
<?php js::set('pagerJS', 'false');?>
<?php js::set('type', 'buy');?>
<div class='left-bar'>
  <?php include './category.html.php';?>
</div>
<div class='middle-bar'>
  <?php if(commonModel::hasPriv('batch', 'showBatchProducts')):?>
  <div class='panel'>
    <div class='hide'><?php echo html::hidden('pagerTarget');?></div>
    <div class='panel-heading'>
      <strong><?php echo $lang->product->detail;?></strong>
      <div class='panel-actions text-right'>
        <div class='detail'>
          <?php echo $lang->product->buyAmount . ':' . $buyAmount . ' | ' . $lang->product->saleAmount . ':' . $saleAmount;?>
        </div>
      </div>
    </div>
    <div class='pagerTarget' id='batchProductsBox'></div>
  </div>
  <?php endif;?>
  <div class='history'>
  <?php include '../../common/view/action.html.php';?>
  </div>
  <div class='page-actions'>
    <div class='btn-group'>
    <?php 
      if(!commonModel::printLink('product', 'edit',  "id={$product->id}", $lang->edit, "class='btn'")) echo html::a('#', $lang->edit, "class='btn disabled' disabled='disabled'");
      if(!commonModel::printLink('product', 'delete', "id={$product->id}", $lang->delete, "class='deleter btn'")) echo html::a('#', $lang->delete, "class='btn disabled' disabled='disabled'");
    ?>
    </div>
    <?php echo html::backButton();?>
  </div>
</div>
<div class='right-bar'>
  <div class='panel'>
    <div class='panel-heading'>
      <strong><?php echo $lang->detail;?></strong>
    </div>
    <div class='panel-body'>
      <table class='table table-info'>
        <tr>
          <th class='w-70px'><?php echo $lang->product->name?></th>
          <td><?php echo $product->name;?></td>
        </tr>
        <tr>
          <th><?php echo $lang->product->category;?></th>
          <td><?php echo zget($categories, $product->category, ' ');?></td>
        </tr>
        <tr>
          <th><?php echo $lang->product->standard;?></th>
          <td><?php echo zget($standards, $product->standard, ' ');?></td>
        </tr>
        <tr>
          <th><?php echo $lang->product->model;?></th>
          <td><?php echo zget($models, $product->model, ' ');?></td>
        </tr>
        <tr>
          <th><?php echo $lang->product->material;?></th>
          <td><?php echo zget($materials, $product->material, ' ');?></td>
        </tr>
        <tr>
          <th><?php echo $lang->product->unit;?></th>
          <td><?php echo zget($units, $product->unit, ' ');?></td>
        </tr>
        <tr>
          <th><?php echo $lang->product->brand;?></th>
          <td><?php echo $product->brand;?></td>
        </tr>
        <tr>
          <th><?php echo $lang->product->pack;?></th>
          <td><?php echo $product->pack;?></td>
        </tr>
        <tr>
          <th><?php echo $lang->product->store;?></th>
          <td><?php echo zget($stores, $product->store, ' ');?></td>
        </tr>
        <tr>
          <th><?php echo $lang->product->shelf;?></th>
          <td><?php echo zget($shelves, $product->shelf, ' ');?></td>
        </tr>
        <tr>
          <th><?php echo $lang->product->sn;?></th>
          <td><?php echo $product->sn;?></td>
        </tr>
        <tr>
          <th><?php echo $lang->product->amount;?></th>
          <td><?php echo $product->amount;?></td>
        </tr>
        <tr>
          <th><?php echo $lang->desc;?></th>
          <td><?php echo $product->desc;?></td>
        </tr>
      </table>
    </div>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
