<?php
/**
 * The show import data view file of product module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      yaozeyuan<yaozeyuan@yidou.biz>
 * @package     product
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<div class='left-bar'>
  <div class='panel'>
    <div class='panel-heading orderDiv'>
      <ul class='nav nav-tabs'>
        <?php if(commonModel::hasPriv('tree', 'browse')):?>
        <?php if(strpos($categoryMenu, '<li>') !== false):?>
        <li class='active'>
          <a href="#category" data-toggle="tab"><strong><i class='icon-sitemap'></i> <?php echo $lang->category->common;?></strong></a>
        </li>
        <?php endif;?>
        <?php endif;?>
        <?php if(commonModel::hasPriv('store', 'browse')):?>
        <?php if(strpos($storeMenu, '<li>') !== false):?>
        <li>
          <a href="#store" data-toggle="tab"><strong><i class='icon-sitemap'></i> <?php echo $lang->product->store;?></strong></a>
        </li>
        <?php endif;?>
        <?php endif;?>
      </ul>
    </div>
    <div class='tab-content'>
      <?php if(commonModel::hasPriv('tree', 'browse')):?>
      <?php if(strpos($categoryMenu, '<li>') !== false):?>
      <div class="tab-pane active" id="category">
        <div class='panel-body'>
          <div id='treeMenuBox'>
            <ul class='tree treeview'>
              <li class='collapsable'>
              <?php echo html::a(inlink('browse'), $lang->product->all);?>
              <?php echo $categoryMenu;?>
              </li>
            </ul>
          </div>
        </div>
      </div>
      <?php endif;?>
      <?php endif;?>
      <?php if(commonModel::hasPriv('store', 'browse')):?>
      <?php if(strpos($storeMenu, '<li>') !== false):?>
      <div class="tab-pane" id="store">
        <div class='panel-body'>
          <div id='treeMenuBox'>
            <ul class='tree treeview'>
              <li class='collapsable'>
              <?php echo html::a(inlink('browse'), $lang->product->all);?>
              <?php echo $storeMenu;?>
              </li>
            </ul>
          </div>
        </div>
      </div>
      <?php endif;?>
      <?php endif;?>
    </div>
  </div>
</div>
<div class='middle-bar'>
  <div class='panel'>
    <div class='panel-heading'>
      <strong><i class='icon-list-ul'></i> <?php echo $lang->product->importSuccessList . $successReport;?></strong>
      <div class="panel-actions pull-right">
        <?php echo html::linkButton($lang->packUp, 'javascript:toggleSuccessReport()', 'btn btn-default pack-up-success');?>
        <?php echo html::linkButton($lang->packDown, 'javascript:toggleSuccessReport()', 'btn btn-default pack-down-success');?>
        <?php echo html::backButton();?>
      </div>
    </div>
    <?php if(!empty($successList)):?>
    <table class='table table-hover table-striped success-report'>
      <thead>
        <tr class='test-left'>
          <th class='w-100px'><?php echo $lang->product->category;?></th>
          <th class='w-100px'><?php echo $lang->product->name    ;?></th>
          <th class='w-100px'><?php echo $lang->product->standard;?></th>
          <th class='w-100px'><?php echo $lang->product->model   ;?></th>
          <th class='w-120px'><?php echo $lang->product->material;?></th>
          <th class='w-100px'><?php echo $lang->product->unit    ;?></th>
          <th class='w-70px' ><?php echo $lang->product->amount  ;?></th>
          <th class='w-200px'><?php echo $lang->product->desc    ;?></th>
        </tr>
      </thead>
      <tbody>
        <?php foreach($successList as $product):?>
        <tr>
          <td><?php echo zget($categories, $product->category, ' ');?></td>
          <td><?php echo $product->name;?></td>
          <td><?php echo zget($standards, $product->standard, ' ');?></td>
          <td><?php echo zget($models, $product->model, ' ');?></td>
          <td><?php echo zget($materials, $product->material, ' ');?></td> 
          <td><?php echo zget($units, $product->unit, ' ');?></td>
          <td><?php echo $product->amount;?></td>
          <td><?php echo $product->desc;?></td>
        </tr>
        <?php endforeach;?>
      </tbody>
    </table>
    <?php endif;?>
  </div>
  <div class='panel'>
    <div class='panel-heading'>
      <strong><i class='icon-list-ul'></i> <?php echo $lang->product->importErrorList . $errorReport;?></strong>
      <div class="panel-actions pull-right">
        <?php echo html::linkButton($lang->product->exportErrorData, inlink('exportErrorData'), 'btn btn-primary');?>
        <?php echo html::linkButton($lang->packUp, 'javascript:toggleErrorReport()', 'btn btn-default pack-up-error');?>
        <?php echo html::linkButton($lang->packDown, 'javascript:toggleErrorReport()', 'btn btn-default pack-down-error');?>
        <?php echo html::backButton();?>
      </div>
    </div>
    <?php if(!empty($errorList)):?>
    <table class='table table-hover table-striped error-report'>
      <thead>
        <tr class='test-left'>
          <th class='w-100px'><?php echo $lang->product->category ;?></th>
          <th class='w-100px'><?php echo $lang->product->name     ;?></th>
          <th class='w-100px'><?php echo $lang->product->standard ;?></th>
          <th class='w-100px'><?php echo $lang->product->model    ;?></th>
          <th class='w-120px'><?php echo $lang->product->material ;?></th>
          <th class='w-100px'><?php echo $lang->product->unit     ;?></th>
          <th class='w-70px' ><?php echo $lang->product->amount   ;?></th>
          <th class='w-200px'><?php echo $lang->product->errorInfo;?></th>
        </tr>
      </thead>
      <tbody>
        <?php foreach($errorList as $product):?>
        <tr>
          <td><?php echo zget($categories, $product->category, ' ');?></td>
          <td><?php echo $product->name;?></td>
          <td><?php echo zget($standards, $product->standard, ' ');?></td>
          <td><?php echo zget($models, $product->model, ' ');?></td>
          <td><?php echo zget($materials, $product->material, ' ');?></td> 
          <td><?php echo zget($units, $product->unit, ' ');?></td>
          <td><?php echo $product->amount;?></td>
          <td><?php echo $product->errorInfo;?></td>
        </tr>
        <?php endforeach;?>
      </tbody>
    </table>
    <?php endif;?>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
