<?php
/**
 * The initialize view file of setting module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      liugang <liugang@yidou.biz>
 * @package     setting
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.modal.html.php';?>
<div class='panel'>
  <div class='panel-heading'>
    <strong><i class='icon-wrench'></i> <?php echo zget($lang->setting->$module->fields, $fieldName, ' ');?></strong>
  </div>
  <div class='panel-body'>
    <form method='post' id='initializeForm' class='form-inline' action='<?php echo inlink('initialize', "module={$module}&section={$fieldName}")?>'>
      <table class='table table-condensed'>
        <?php $i = 1;?>
        <?php foreach($fields as $field):?>
        <tr>
          <td>
            <?php echo html::hidden("keys[$i]", $field->key, "id='keys{$i}'");?>   
            <?php echo html::input("values[$i]", $field->value, "id='values{$i}' class='form-control' placeholder='{$lang->setting->placeholder->value}'");?>
          </td>
          <td class='text-left text-middle'>
            <a href='javascript:;' class='btn btn-mini add'><i class='icon-plus'></i></a>
            <a href='javascript:;' class='btn btn-mini remove'><i class='icon-remove'></i></a>
          </td>
        </tr>
        <?php $i++;?>
        <?php endforeach;?>
        <?php if(count($fields) == 0):?>
          <?php for($j = 0; $j < $config->setting->newItemsCount; $j++, $i++):?>
          <tr>
            <td>
              <?php echo html::hidden("keys[$i]", '', "id='keys{$i}'");?>   
              <?php echo html::input("values[$i]", '', "id='values{$i}' class='form-control' placeholder='{$lang->setting->placeholder->value}'");?>
            </td>
            <td class='text-left text-middle'>
              <a href='javascript:;' class='btn btn-mini add'><i class='icon-plus'></i></a>
              <a href='javascript:;' class='btn btn-mini remove'><i class='icon-remove'></i></a>
            </td>
          </tr>
          <?php endfor;?>
        <?php endif;?>
        <tr>
          <td colspan='2'>
            <?php echo html::hidden('lang', 'all');?>
            <?php echo html::submitButton() . html::commonButton($lang->goback, 'btn reloadModal');?>
          </td>
        </tr>
      </table>
    </form>
  </div>
</div>
<?php js::set('module', $module)?>
<?php js::set('field', $fieldName)?>
<?php js::set('key', $i);?>
<?php include '../../common/view/footer.modal.html.php';?>
