<?php
/**
 * The batch create view of trade module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      liugang <liugang@yidou.biz>
 * @package     trade
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../common/view/datepicker.html.php';?>
<?php include '../../common/view/chosen.html.php';?>
<?php js::set('type', $type);?>
<form id='ajaxForm' method='post'>
  <div class='panel'>
    <div class='panel-heading'>
      <strong><i class="icon-plus-sign"></i> <?php echo $lang->trade->batchCreate;?></strong>
    </div>
    <table class='table table-hover'>
      <thead>
        <tr class='text-center'>
          <th class='w-100px'><?php echo $lang->trade->type;?></th> 
          <th class='w-180px required'><?php echo $lang->trade->depositor;?></th>
          <th class='w-210px required'><?php echo $lang->trade->trader;?></th> 
          <th class='w-100px required'><?php echo $lang->trade->money;?></th>
          <th class='w-150px required'><?php echo $lang->trade->handlers;?></th>
          <th class='w-130px'><?php echo $lang->trade->date;?></th>
          <th class='w-190px'><?php echo $lang->trade->desc;?></th>
        </tr>
      </thead>
      <tbody>
        <?php for($i = 0; $i < $config->trade->batchCreate; $i++):?>
        <tr>
          <td><?php echo html::select("type[$i]", $lang->trade->typeList, $type, "class='form-control type' id='type{$i}'");?></td>
          <td><?php echo html::select("depositor[$i]", $depositors, '', "class='form-control' id='depositor{$i}'");?></td>
          <td id='traderTD'>
            <div class='input-group'>
              <?php echo html::select("trader[$i]", $customerList, '', "class='chosen in' id='trader{$i}'");?>
              <?php echo html::select("trader[$i]", $supplierList, '', "class='chosen out' id='trader{$i}'");?>
              <?php  echo html::input("traderName[$i]", '', "class='form-control newTrader' id='traderName{$i}' style='display:none'");?>
              <span class='input-group-addon'>
                <label class="checkbox">
                  <input type="checkbox" name="createTrader[<?php echo $i;?>]" value="1"><?php echo $lang->new;?>
                </label>
              </span>
            </div>
          </td>
          <td><?php echo html::input("money[$i]", '', "class='form-control'");?></td>
          <td><?php echo html::select("handlers[$i][]", $users, '', "class='chosen' id='handlers{$i}' multiple");?></td>
          <td><?php echo html::input("date[$i]", date('Y-m-d'), "class='form-control form-date' id='date{$i}'");?></td>
          <td><?php echo html::textarea("desc[$i]", '', "rows='1' class='form-control'");?></td>
        </tr>
        <?php endfor;?>
      </tbody>
      <tr><td colspan='7' class='text-center'><?php echo html::submitButton() . html::backButton();?></td></tr>
    </table>
  </div>
</form>
<?php include '../../common/view/footer.html.php';?>
