<?php
/**
 * The show import view file of company module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      yaozeyuan<yaozeyuan@yidou.biz>
 * @package     company
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php js::set('type', $type);?>
<div class='panel'>
  <div class='panel-heading'>
    <strong><i class='icon-list-ul'></i> <?php echo sprintf($lang->company->importSuccessList, zget($lang->company->typeList, $type, ' ')) . $successReport;?></strong>
    <div class="panel-actions pull-right">
        <?php echo html::linkButton($lang->packUp, 'javascript:toggleSuccessReport()', 'btn btn-default pack-up-success');?>
        <?php echo html::linkButton($lang->packDown, 'javascript:toggleSuccessReport()', 'btn btn-default pack-down-success');?>
        <?php echo html::backButton();?>
    </div>
  </div>
  <?php if(!empty($successList)):?>
  <table class='table table-condensed table-hover table-striped success-report'>
    <thead>
      <tr class='test-left'>
          <th class='w-90px' ><?php echo $lang->company->type;?></th>
          <th class='w-140px'><?php echo $lang->company->fullName;?></th>
          <th class='w-140px'><?php echo $lang->company->companyName;?></th>
          <th class='w-110px'><?php echo $lang->company->companyPhone;?></th>
          <th class='w-110px'><?php echo $lang->company->companyFax;?></th>
          <th class='w-150px'><?php echo $lang->company->businessAddress;?></th>
          <th class='w-110px'><?php echo $lang->desc;?></th>
      </tr>
    </thead>
    <tbody>
      <?php foreach($successList as $company):?>
      <tr>
        <td><?php echo zget($lang->company->typeList, $company->type, ' ');?></td>
        <td><?php echo $company->fullName;?></td>
        <td><?php echo $company->companyName;?></td>
        <td><?php echo $company->companyPhone;?></td>
        <td><?php echo $company->companyFax;?></td>
        <td><?php echo $company->businessAddress;?></td>
        <td><?php echo $company->desc;?></td>
      </tr>
      <?php endforeach;?>
    </tbody>
  </table>
  <?php endif ;?>
</div>
<div class='panel'>
  <div class='panel-heading'>
    <strong><i class='icon-list-ul'></i> <?php echo sprintf($lang->company->importErrorList, zget($lang->company->typeList, $type, ' ')) . $errorReport;?></strong>
    <div class="panel-actions pull-right">
        <?php echo html::linkButton($lang->company->exportErrorData, inlink('exportErrorData'), 'btn btn-primary');?>
        <?php echo html::linkButton($lang->packUp, 'javascript:toggleErrorReport()', 'btn btn-default pack-up-error');?>
        <?php echo html::linkButton($lang->packDown, 'javascript:toggleErrorReport()', 'btn btn-default pack-down-error');?>
        <?php echo html::backButton();?>
    </div>
  </div>
  <?php if(!empty($errorList)):?>
  <table class='table table-condensed table-hover table-striped error-report'>
    <thead>
      <tr class='test-left'>
          <th class='w-90px' ><?php echo $lang->company->type;?></th>
          <th class='w-140px'><?php echo $lang->company->fullName;?></th>
          <th class='w-140px'><?php echo $lang->company->companyName;?></th>
          <th class='w-110px'><?php echo $lang->company->companyPhone;?></th>
          <th class='w-110px'><?php echo $lang->company->companyFax;?></th>
          <th class='w-150px'><?php echo $lang->company->businessAddress;?></th>
          <th class='w-110px'><?php echo $lang->company->errorInfo;?></th>
      </tr>
    </thead>
    <tbody>
      <?php foreach($errorList as $company):?>
      <tr>
        <td><?php echo zget($lang->company->typeList, $company->type, ' ');?></td>
        <td><?php echo $company->fullName;?></td>
        <td><?php echo $company->companyName;?></td>
        <td><?php echo $company->companyPhone;?></td>
        <td><?php echo $company->companyFax;?></td>
        <td><?php echo $company->businessAddress;?></td>
        <td><?php echo $company->errorInfo;?></td>
      </tr>
      <?php endforeach;?>
    </tbody>
  </table>
  <?php endif ;?>
</div>
<?php include '../../common/view/footer.html.php';?>
