<?php
/**
 * The edit view file of contact module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      Chunsheng Wang <chunsheng@cnezsoft.com>
 * @package     sale
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../common/view/chosen.html.php';?>
<div class='panel'>
  <div class='panel-heading'>
    <strong><i class='icon-plus'></i> <?php echo $lang->contact->create;?></strong>
  </div>
  <div class='panel-body'>
    <form method='post' id='ajaxForm'>
      <table class='table table-form'>
        <tr>
          <th class='w-100px'><?php echo $lang->contact->name;?></th>
          <td class='w-400px'><?php echo html::input('name', $contact->name, "class='form-control'");?></td><td></td>
        </tr>
        <tr>
          <th><?php echo $lang->contact->gender;?></th>
          <td><?php echo html::radio('gender', array('m' => $lang->contact->genderList['m'], 'f' => $lang->contact->genderList['f']), $contact->gender);?></td>
        </tr>
        <tr>
          <th><?php echo $lang->contact->company;?></th>
          <td><?php echo html::select('companyID', $companies, $contact->companyID, "class='chosen'");?></td>
        </tr>
        <tr>
          <th><?php echo $lang->contact->address;?></th>
          <td><?php echo html::input('address', $contact->address, "class='form-control'");?></td>
        </tr>
        <tr>
          <th><?php echo $lang->contact->phone;?></th>
          <td><?php echo html::input('phone', $contact->phone, "class='form-control'");?></td>
        </tr>
        <tr>
          <th><?php echo $lang->contact->email;?></th>
          <td><?php echo html::input('email', $contact->email, "class='form-control'");?></td>
        </tr>
        <tr>
          <th><?php echo $lang->contact->fax;?></th>
          <td><?php echo html::input('fax', $contact->fax, "class='form-control'");?></td>
        </tr>
        <tr>
          <th><?php echo $lang->contact->qq;?></th>
          <td><?php echo html::input('qq', $contact->qq, "class='form-control'");?></td>
        </tr>
        <tr>
          <th><?php echo $lang->contact->wangwang;?></th>
          <td><?php echo html::input('wangwang', $contact->wangwang, "class='form-control'");?></td>
        </tr>
        <tr>
          <th><?php echo $lang->desc;?></th>
          <td><?php echo html::input('desc', $contact->desc, "class='form-control'");?></td>
        </tr>
        <tr>
          <th></th>
          <td><?php echo html::submitButton();?></td>
        </tr>
      </table>
    </form>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
