<?php 
/**
 * The create view file of depositor module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      Tingting Dai <daitingting@xirangit.com>
 * @package     depositor
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.modal.html.php';?>
<?php include '../../common/view/kindeditor.html.php';?>
<form method='post' id='ajaxForm' action='<?php echo $this->createLink('depositor', 'create')?>'>
  <table class='table table-form w-p95'>
    <tr>
      <th class='w-80px'><?php echo $lang->depositor->type;?></th>
      <td>
        <div class="required required-wrapper"></div>
        <?php echo html::select('type', $lang->depositor->typeList, '', "class='form-control'");?>
      </td>
    </tr>
    <tr>
      <th><?php echo $lang->depositor->abbr;?></th>
      <td>
        <div class="required required-wrapper"></div>
        <?php echo html::input('abbr', '', "class='form-control'");?>
      </td>
    </tr>
    <tr class='form-online'>
      <th><?php echo $lang->depositor->serviceProvider;?></th>
      <td><?php echo html::select('provider', $lang->depositor->providerList, '', "class='form-control'");?></td>
    </tr>
    <tr class='form-bank form-online'>
      <th><?php echo $lang->depositor->title;?></th>
      <td><?php echo html::input('title', '', "class='form-control'");?></td>
    </tr>
    <tr class='form-bank'>
      <th><?php echo $lang->depositor->bankProvider;?></th>
      <td><?php echo html::input('provider', '', "class='form-control'");?></td>
    </tr>
   <tr class='form-bank form-online'>
      <th><?php echo $lang->depositor->account;?></th>
      <td><?php echo html::input('account', '', "class='form-control'");?></td>
    </tr>
    <tr class='form-bank'>
      <th><?php echo $lang->depositor->bankcode;?></th>
      <td><?php echo html::input('bankcode', '', "class='form-control'");?></td>
    </tr>
    <tr class='form-bank form-online'>
      <th><?php echo $lang->depositor->public;?></th>
      <td><?php echo html::radio('public', $lang->depositor->publicList, '');?></td>
    </tr>
    <tr>
      <th><?php echo $lang->depositor->currency;?></th>
      <td>
        <div class="required required-wrapper"></div>
        <?php echo html::select('currency', $currencyList, '', "class='form-control'");?>
      </td>
    </tr>
    <tr>
      <th></th>
      <td><?php echo html::submitButton() . html::commonButton($lang->close, 'btn', "data-dismiss='modal'");?></td>
    </tr>
  </table>
</form>
<?php include '../../common/view/footer.modal.html.php';?>
