<?php 
/**
 * The browse view file of invoice module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      yaozeyuan <yaozeyuan@yidou.biz>
 * @package     invoice
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../common/view/datepicker.html.php';?>
<?php include '../../common/view/chosen.html.php';?>
<div class='col-md-2'>
  <ul class='nav nav-primary nav-stacked'>
    <li><?php echo html::a($this->inLink('selectCompany', array('type' => $type)), $lang->invoice->$type->uninvoiced);?></li>
    <li class="active"><?php echo html::a($this->inLink("browse", array('type' => $type)), $lang->invoice->$type->done);?></li>
    <?php if($type == 'sale'):?>
    <li><?php echo html::a($this->inLink("browse", array('type' => $type)), $lang->invoice->$type->discard);?></li>
    <?php endif;?>
  </ul>
</div>
<div class='col-md-10'>
  <div class='panel'>
    <table class='table table-condensed table-hover table-striped tablesorter' id='tradeList'>
      <thead>
        <tr>
          <th class='w-70px' ><?php echo $lang->id;?></th>
          <th class='w-100px'><?php echo $lang->invoice->create->date;?></th>
          <th class='w-100px'><?php echo $lang->invoice->invoiceNo;?></th>
          <th class='w-100px'><?php echo $lang->invoice->create->buyerName;?></th>
          <th class='w-100px'><?php echo "{$lang->invoice->moneyAmount}({$lang->invoice->isTaxed})";?></th>
          <th class='w-100px'><?php echo $lang->status;?></th>
          <th class='w-100px'><?php echo $lang->actions;?></th>
        </tr>
      </thead>
      <tbody>
        <?php $i = 1;?>
        <?php foreach($invoiceList as $invoice):?>
        <tr>
          <td><?php echo $i;?></td>
          <td><?php echo $invoice->createdDate;?></td>
          <td><?php echo $invoice->invoiceNo;?></td>
          <td><?php echo $invoice->buyerName;?></td>
          <td><?php echo $invoice->taxedMoneyAmount;?></td>
          <td><?php echo $lang->invoice->status[$invoice->isPrinted];?></td>
          <td><?php echo html::a(inlink('detail', array('invoiceID' => $invoice->id)), $lang->detail);?></td>
        </tr>
        <?php $i++;?>
        <?php endforeach;?>
      </tbody>
    </table>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
