<?php
/**
 * The save view file of mail module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      Chunsheng Wang <chunsheng@cnezsoft.com>
 * @package     mail
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<div class='col-md-2'>
  <ul class='nav nav-primary nav-stacked'>
    <li class='active'><?php echo html::a(inlink('edit'), $lang->mail->edit);?></li>
    <li><?php echo html::a(inlink('test'), $lang->mail->test);?></li>
  </ul>
</div>
<div class='col-md-10'>
  <div class='panel'>
    <div class='panel-heading'><strong><i class='icon-envelope'></i> <?php echo $lang->mail->common;?> <i class='icon-arrow-right'></i> <?php echo $lang->mail->save; ?></strong></div>
    <div class='panel-body'>
      <div class='alert alert-success'>
        <i class='icon-ok-sign'></i>
        <div class='content'><?php echo $lang->mail->successSaved; ?></div>
      </div>
      <div><?php if($this->post->turnon) echo html::linkButton($lang->mail->test, inlink('test')); ?></div>
    </div>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
