<?php
/**
 * The category view file of product module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      yaozeyuan<yaozeyuan@yidou.biz>
 * @package     product 
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php
  $treeBrowsePriv  = commonModel::hasPriv('tree', 'browse');
  $storeBrowsePriv = commonModel::hasPriv('store', 'browse');
?>
<?php if($treeBrowsePriv || $storeBrowsePriv): ?>
<?php 
  /* add $storeID for browse page. */
  if(!isset($storeID)) $storeID = 0;
?>
<div class='panel'>
  <div class='panel-heading orderDiv'>
    <ul class='nav nav-tabs'>
      <?php if($treeBrowsePriv):?>
      <?php if(strpos($categoryMenu, '<li>') !== false):?>
      <li <?php if(!$storeID) echo "class='active'"?>>
        <a href="#categoryList" data-toggle="tab"><strong><i class='icon-sitemap'></i> <?php echo $lang->category->common;?></strong></a>
      </li>
      <?php endif;?>
      <?php endif;?>
      <?php if($storeBrowsePriv):?>
      <?php if(strpos($storeMenu, '<li>') !== false):?>
      <li <?php if($storeID) echo "class='active'"?>>
        <a href="#storeList" data-toggle="tab"><strong><i class='icon-sitemap'></i> <?php echo $lang->product->store;?></strong></a>
      </li>
      <?php endif;?>
      <?php endif;?>
    </ul>
  </div>
  <div class='tab-content'>
    <?php if($treeBrowsePriv):?>
    <?php if(strpos($categoryMenu, '<li>') !== false):?>
    <div <?php echo $storeID ? "class='tab-pane'" : "class='tab-pane active'"?> id="categoryList">
      <div class='panel-body'>
        <div id='treeMenuBox'>
          <ul class='tree treeview'>
            <li class='collapsable'>
            <?php echo html::a(inlink('browse'), $lang->product->all);?>
            <?php echo $categoryMenu;?>
            </li>
          </ul>
        </div>
      </div>
    </div>
    <?php endif;?>
    <?php endif;?>
    <?php if($storeBrowsePriv):?>
    <?php if(strpos($storeMenu, '<li>') !== false):?>
    <div <?php echo !$storeID ? "class='tab-pane'" : "class='tab-pane active'"?> id="storeList">
      <div class='panel-body'>
        <div id='treeMenuBox'>
          <ul class='tree treeview'>
            <li class='collapsable'>
            <?php echo html::a(inlink('browse'), $lang->product->all);?>
            <?php echo $storeMenu;?>
            </li>
          </ul>
        </div>
      </div>
    </div>
    <?php endif;?>
    <?php endif;?>
  </div>
</div>
<?php endif;?>
