<?php
/**
 * The browse view file of tree module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      Chunsheng Wang <chunsheng@cnezsoft.com>
 * @package     tree
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../common/view/kindeditor.html.php';?>
<?php include '../../common/view/chosen.html.php';?>
<?php 
js::set('root', $root);
js::set('type', $type);
js::set('lang', $lang->js);
?>
<div class='row'>
  <div class='col-md-2'>
    <ul class='nav nav-primary nav-stacked'>
      <li class='active'><?php echo html::a(inlink('browse', 'type=product'), $lang->tree->common);?></li>
      <?php foreach($lang->setting->product->fields as $key => $value):?>
      <li><?php echo html::a($this->createLink('setting', 'browse', 'module=product&section=' . $key), $value);?></li>
      <?php endforeach;?>
    </ul>
  </div>
  <?php if(strpos($treeMenu, '<li>') !== false):?>
  <div class='col-md-3'>
    <div class='panel'>
      <div class='panel-heading'><strong><i class="icon-sitemap"></i> <?php echo $lang->category->common;?></strong></div>
      <div class='panel-body'>
        <div id='treeMenuBox'><?php echo $treeMenu;?></div>
      </div>
    </div>
  </div>
  <div class='col-md-7' id='categoryBox'></div>
  <?php else:?>
  <div class='col-md-10' id='categoryBox'></div>
  <?php endif;?>
</div>
<?php include '../../common/view/treeview.html.php';?>
<?php include '../../common/view/footer.html.php';?>
